# Returns customer usage charge group category summary information Returns usage quantities and cost grouped by charge group category id Endpoint: GET /customer-usage-charge-group-category-summaries Version: 1.43 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `customerId` (string, required) Required filter by customer Example: "0" - `billRunId` (string) Filter by bill run - by default we return the open bill run summary information if this is omitted Example: "0" - `chargeGroupCategoryId` (string) Filter by charge group category identifier Example: "0" - `chargeGroupCategoryName` (string) Filter by charge group category name Example: "xyz | in:x,y | like:xyz" - `chargingUnitType` (string) Filter by charge unit type Example: "xyz | in:x,y | like:xyz" ## Response 200 fields (application/json): - `customerId` (integer) Customer identifier Example: 1 - `billRunId` (integer) Bill run identifier - `chargingUnitType` (string) Charging unit i.e. duration or data (MB) or one off Enum: "DURATION", "MB", "ONE_OFF" - `chargeGroupCategoryId` (integer) Internal identifier of charge group category Example: 1 - `chargeGroupCategoryName` (string) Charge group category name - `quantity` (number) The quantity of the usage records for this charge group category in the chargingUnitType Example: 80 - `priceInMajorCurrency` (number) Price for the charge group category in major currency (e.g pounds/dollars/euros) Example: 100 ## Response 400 fields ## Response 401 fields ## Response 403 fields